package net.sf.resultsetmapper.spring;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import net.sf.resultsetmapper.ReflectionResultSetMapper;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

/**
 * This BeanMapperImpl implements the Spring RowCallbackHandler.
 * 
 * @author Warren Mayocchi
 */
public class ResultSetRowMapper<T> extends ReflectionResultSetMapper<T>
    implements ParameterizedRowMapper<T> {

  /**
   * Construct a mapper to create objects of the given target class.
   * 
   * @param targetClass
   *          Target class.
   */
  public ResultSetRowMapper(Class targetClass) {
    super(targetClass);
  }

  /**
   * Construct a mapper to create objects of the given target classes.
   * 
   * @param targetClasses
   *          Target classes.
   */
  public ResultSetRowMapper(List<Class> targetClasses) {
    super(targetClasses);
  }

  /**
   * Implement the Spring <code>ParameterizedRowMapper</code> interface.
   */
  public T mapRow(ResultSet resultSet, int index) throws SQLException {
    return this.mapRow(resultSet);
  }
}